cmake_minimum_required(VERSION 3.13)

file(GLOB ICON_SOURCES CONFIGURE_DEPENDS src/icons/*.c)

add_executable(mtgcard
  src/main.cpp
  src/cardslot.cpp
  src/icons.cpp
  src/menu.cpp
  src/manamenu.cpp
  src/cmcmenu.cpp
  src/selectmenu.cpp
  src/cardmenu.cpp

  ${ICON_SOURCES}
)

target_include_directories(mtgcard PRIVATE include)

target_link_libraries(mtgcard PRIVATE devicelib)

pico_add_extra_outputs(mtgcard)
